<?php

namespace app\api\controller\Code;

use app\BaseController;
use app\common\model\Code\CodeModule as ModelCodeModule;
use app\Request;
use think\Validate;
use think\exception\ValidateException;
use think\facade\Filesystem;
use app\common\arw\adjfut\src\Excel;
use app\common\arw\adjfut\src\UploadFile;
use think\facade\Db;
use app\common\exception\Tool;
use think\facade\Env;


class CodeModule extends BaseController
{
    /**
     * 获取代码块列表
     */
    public function getCodeModuleList(Request $request): array
    {
        $params = $request->param();
        $con = [];

        $con[] = ['code_module_audit', '=', '2'];
        $con = Tool::getOptionalQuery(['code_module_category_guid', '='], ['code_module_name', 'LIKE']);

        $query = ModelCodeModule::where($con)
            ->field([
                'code_module_id',
                'code_module_guid',
                'code_module_category_guid',
                'code_module_name',
                'code_module_html',
                'code_module_style',
                'code_module_script',
                'code_module_sort',
            ])
            ->order('code_module_sort', 'asc')
            ->select();

        return msg(0, "获取代码块列表成功!", [
            'data' => $query,
            'count' => count($query)
        ]);
    }

    /**
     * 获取代码块详情
     */
    public function getCodeModuleInfo(Request $request): array
    {
        $params = $request->param();

        $this->validate($params, ['code_module_guid' => 'require']);

        $find = ModelCodeModule::field([
            'code_module_id',
            'code_module_guid',
            'code_module_catetory_guid',
            'code_module_name',
            'code_module_html',
            'code_module_style',
            'code_module_script',
            'code_module_sort',
            'code_module_audit'
        ])
            ->where('code_module_guid', $params['code_module_guid'])
            ->find();

        return msg(0, '获取代码块详情成功!', ['data' => $find]);
    }
}
